Foxit PDF RDK

Public Member Functions | List of all members
CropPageSizeTask Class Reference

Represents a task for cropping the page size of a document. More...

Inheritance diagram for CropPageSizeTask:

## Public Member Functions
| constructor (pageIndex, cropRectF, cb)
| Constructor for the CropPageSizeTask class. More...
| getCropRectF ()
| Retrieves the rectangle specifying the crop area. More...
| getPageIndex ()
| Retrieves the index of the page to be cropped. More...
Public Member Functions inherited from Task
| canCancel ()
| Checks if the task can be cancelled. More...
| cancel ()
| Cancels the task. Attempts to cancel the task if it is in a cancellable state.
| constructor ()
| Constructor for the Task class. Initializes a new instance of the Task.
| errorCode ()
| Gets the error code of the task. More...
| exeSuccess ()
| Checks if the task was executed successfully. More...
| extErrorCode ()
| Gets the extended error code of the task. More...
| finish ()
| Marks the task as finished. Completes the task and performs any necessary cleanup.
| getPriority ()
| Gets the current priority of the task. More...
| getStatus ()
| Gets the current status of the task. More...
| isCanceled ()
| Checks if the task has been cancelled. More...
| isModify ()
| Checks if the task has been modified. More...
| notify (result)
| Notifies about the result of the js funcion. More...
| prepare ()
| Prepares the task for execution. Performs any necessary setup before the task can be run.
| setErrorCode (error)
| Sets the error code for the task. More...
| setPriority (priority)
| Sets the priority of the task. More...
| setStatus (status)
| Sets the status of the task. More...

## Detailed Description

Represents a task for cropping the page size of a document.

## Member Function Documentation

## ◆ constructor()

CropPageSizeTask.constructor | ( | pageIndex | ,
|  | cropRectF | ,
|  | cb |
| ) |  |

Constructor for the CropPageSizeTask class.

Parameters

  {number} | pageIndex - The index of the page to be cropped.
  {RectF} | cropRectF - The rectangle specifying the crop area.
  {CropPageSizeTaskCallback} | cb - The callback to be invoked with the result of the crop task. Initializes a new instance of the CropPageSizeTask with the specified page index, crop rectangle, and callback.

## ◆ getCropRectF()

CropPageSizeTask.getCropRectF | ( |  | ) |

Retrieves the rectangle specifying the crop area.

Returns
  {RectF} The rectangle defining the crop area.

## ◆ getPageIndex()

CropPageSizeTask.getPageIndex | ( |  | ) |

Retrieves the index of the page to be cropped.

Returns
  {number} The index of the page.